<?php

namespace app\api\controller;

use think\Controller;
use think\Request;
use app\api\extend\Basic;
use app\api\untils\Message;
class User extends Basic
{
    public function login(Request $request) {

        $post = $request->param();

        $phone = 18521095897;
        $_code = mt_rand(1000,9999).'';
        $message = new Message();
        $result  = $message->sendCCPSMS($phone,array($_code, '5'),79972);

        if ($result['statusCode'] == 0) {
            
        }
        
        return $this->response($result['statusMsg'],$result['statusCode'],$_code);
    }


    /**
     * 显示资源列表
     *
     * @return \think\Response
     */
    public function index()
    {
        //
    }

    /**
     * 显示创建资源表单页.
     *
     * @return \think\Response
     */
    public function create()
    {
        //
    }

    /**
     * 保存新建的资源
     *
     * @param  \think\Request  $request
     * @return \think\Response
     */
    public function save(Request $request)
    {
        //
    }

    /**
     * 显示指定的资源
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function read($id)
    {
        //
    }

    /**
     * 显示编辑资源表单页.
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * 保存更新的资源
     *
     * @param  \think\Request  $request
     * @param  int  $id
     * @return \think\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * 删除指定资源
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function delete($id)
    {
        //
    }
}
